#include "widget.h"
#include "ui_widget.h"
#include <QPainter>

Widget::Widget(QWidget *parent) :
    QWidget(parent),
    ui(new Ui::Widget)
{
    ui->setupUi(this);
}

Widget::~Widget()
{
    delete ui;
}

// le slot activé à chaque repeinture de la fenêtre
void Widget::paintEvent(QPaintEvent *event){
    QImage image;
    QPainter painter(this);

    // chargement du fichier jpg
    image.load("1.jpg");

    // dessin sur la fenêtre à l'échelle 1
    painter.drawImage(0, 0, image);

    // pour que l'image s'ajuste dans un rectangle
    QRect r(0, 0, 100, 100);        // un rectangle
    painter.drawImage(r, image);
}
